<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1LogManager.html">LogManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::LogManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a85722e2aa03ca2cd18baa6e52f4a7631">createLog</a>(const String &amp;name, bool defaultLog=false, bool debuggerOutput=true, bool suppressFileOutput=false)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a0ee43aed02b63b61e5f1face7c86b2ed">destroyLog</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#ad8cf8e59a505cd064d64d2f6123322e4">destroyLog</a>(Log *log)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a94e537bffee90afa9b96a15e10c3ea21">getDefaultLog</a>()</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a2d93a13fad0c049ccc2b4d72f053e286">getLog</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a1bd6bc0890fd3e1de7886433c40b5e87">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a26fc82537a3ea960342838f878ef0f1f">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a6c03c72b03b55c3e43a6f31dc0d29f77">LogList</a> typedef</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a51428feae11310e268c885bf3c0bf331">LogManager</a>()</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a0c4faae4a0fbe6f8df7583cfa4c63b52">logMessage</a>(const String &amp;message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a4be284d44cb3271413335d2e56fb49fb">logMessage</a>(LogMessageLevel lml, const String &amp;message, bool maskDebug=false)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a590d285b99b40eab5296e59bca131e19">mDefaultLog</a></td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a489779006a5b20d9b00270ebc2d76ba5">mLogs</a></td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; LogManager &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#aa274af4b29e98ac5340a18ad1b695139">setDefaultLog</a>(Log *newLog)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a4b7b19b57b7f4fa7d20fad9e672eba3f">setLogDetail</a>(LoggingLevel ll)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; LogManager &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a59b4ecc2ae226ada23b0a106397425d0">stream</a>(LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a887b11fa93f8aa25b912c226dd70943f">~LogManager</a>()</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; LogManager &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
